commit:     2f33ee3fab3d1902ef5610fbc168a45f2773c8e7
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  9 14:22:15 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Jul  9 14:22:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f33ee3f

www-client/opera-beta: Version 70.0.3728.21

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 www-client/opera-beta/Manifest                     |   1 +
 .../opera-beta/opera-beta-70.0.3728.21.ebuild      | 115 +++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/www-client/opera-beta/Manifest b/www-client/opera-beta/Manifest
index ca37f47cd34..59c888ce1e9 100644
--- a/www-client/opera-beta/Manifest
+++ b/www-client/opera-beta/Manifest
@@ -1 +1,2 @@
+DIST opera-beta_70.0.3728.21_amd64.deb 67480884 BLAKE2B 
7dfbc5c440b119ffa5c4d60594630e6d78ef412110f8f0417c7357392d47905dfc4ae5804f60826d9a875b1b1c4fb6708c327be6428e1259dbbfde3216e198db
 SHA512 
41ebc96ec96149028f0c2712aba35f51d1c8c881f213d531a8893f9d2fa80496c57a12481f19af8e9097bef9bf51d6cee3f520ace362bcebb4734af16990ab1c
 DIST opera-beta_70.0.3728.8_amd64.deb 67475540 BLAKE2B 
e95ab0aa633184fd0321f1978c7637258b09350eddc721955c05e465a5a9c92ed4808c0e2d670892eaaaf9bdfbe13513f30f85421500a42ffeef002eec1a61cf
 SHA512 
794eb72492b1edadec458129fed068a727d5e5fbb8cc0c113a7787ea2d539da89032935387895aefbae324ccd1ff4567749949c137d3e900f7f407545f5e2e79

diff --git a/www-client/opera-beta/opera-beta-70.0.3728.21.ebuild 
b/www-client/opera-beta/opera-beta-70.0.3728.21.ebuild
new file mode 100644
index 00000000000..99905f62466
--- /dev/null
+++ b/www-client/opera-beta/opera-beta-70.0.3728.21.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+CHROMIUM_LANGS="
+       be bg bn ca cs da de el en-GB es es-419 fi fil fr fr-CA hi hr hu id it
+       ja ko lt lv ms nb nl pl pt-BR pt-PT ro ru sk sr sv sw ta te th tr uk vi
+       zh-CN zh-TW
+"
+inherit chromium-2 multilib unpacker xdg-utils
+
+DESCRIPTION="A fast and secure web browser"
+HOMEPAGE="https://www.opera.com/";
+LICENSE="OPERA-2014"
+SLOT="0"
+SRC_URI_BASE="
+       https://download1.operacdn.com/pub/
+       https://download2.operacdn.com/pub/
+       https://download3.operacdn.com/pub/
+       https://download4.operacdn.com/pub/
+"
+SRC_URI="amd64? ("
+for uri in ${SRC_URI_BASE}; do
+SRC_URI+="
+       "${uri}${PN}/${PV}/linux/${PN}_${PV}_amd64.deb"
+"
+done
+SRC_URI+=")"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-libs/expat
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       gnome-base/gconf:2
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/freetype
+       net-misc/curl
+       net-print/cups
+       sys-apps/dbus
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:3
+       x11-libs/libX11
+       x11-libs/libXScrnSaver
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXtst
+       x11-libs/libnotify
+       x11-libs/pango[X]
+"
+
+QA_PREBUILT="*"
+S=${WORKDIR}
+
+pkg_setup() {
+       OPERA_HOME="usr/$(get_libdir)/${PN}"
+}
+
+src_unpack() {
+       unpack_deb ${A}
+}
+
+src_prepare() {
+       default
+
+       case ${ARCH} in
+               amd64)
+                       mv usr/lib/x86_64-linux-gnu usr/$(get_libdir) || die
+                       rm -r usr/lib || die
+                       ;;
+               x86)
+                       mv usr/lib/i386-linux-gnu/${PN} usr/$(get_libdir)/ || 
die
+                       ;;
+       esac
+
+       mv usr/share/doc/${PN} usr/share/doc/${PF} || die
+       gunzip usr/share/doc/${PF}/changelog.gz || die
+
+       rm usr/bin/${PN} || die
+
+       pushd "${OPERA_HOME}/localization" > /dev/null || die
+       chromium_remove_language_paks
+       popd > /dev/null || die
+
+       sed -i \
+               -e 's|^TargetEnvironment|X-&|g' \
+               usr/share/applications/${PN}.desktop || die
+}
+
+src_install() {
+       mv * "${D}" || die
+       dosym ../$(get_libdir)/${PN}/${PN} /usr/bin/${PN}
+       fperms 4711 /usr/$(get_libdir)/${PN}/opera_sandbox
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+       xdg_mimeinfo_database_update
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+       xdg_mimeinfo_database_update
+}

Reply via email to